Source: dput-ng
Section: devel
Priority: optional
Maintainer: dput-ng Maintainers <dput-ng@packages.debian.org>
Uploaders:
 Arno Töll <arno@debian.org>,
 Paul Tagliamonte <paultag@debian.org>,
Build-Depends:
 asciidoc,
 bash-completion (>= 1:2.1-4.2),
 debhelper-compat (= 13),
 dh-python,
 docbook-xml,
 docbook-xsl,
 docbook-xsl-ns,
 libxml2-utils,
 python3-all,
 python3-coverage,
 python3-debian,
 python3-distro-info,
 python3-distutils,
 python3-jsonschema,
 python3-paramiko,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 xsltproc,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/dput-ng
Vcs-Git: https://salsa.debian.org/debian/dput-ng.git
Homepage: https://debian.pages.debian.net/dput-ng

Package: dput-ng
Architecture: all
Conflicts:
 dput,
Replaces:
 dput,
Provides:
 dput,
Depends:
 python3-dput (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 dput-ng-doc,
 python3-twitter,
Description: next generation Debian package upload tool
 dput-ng is a Debian package upload tool which provides an easy to use
 interface to Debian (like) package archive hosting facilities. It allows
 anyone who works with Debian packages to upload their work to a remote
 service, including Debian's ftp-master, mentors.debian.net, Launchpad or other
 package hosting facilities for Debian package maintainers.
 .
 dput-ng features many enhancements over dput, such as more comprehensive
 checks, an easy to use plugin system, and code designed to handle the numerous
 archives that any Debian package hacker will interact with.
 .
 dput-ng aims to be backwards compatible with dput in command-line flags,
 configuration files, and expected behavior.

Package: python3-dput
Architecture: all
Section: python
Depends:
 gnupg,
 python3-debian,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 debian-keyring,
 lintian,
 openssh-client,
 python3-distro-info,
 python3-jsonschema,
 python3-paramiko,
Description: next generation Debian package upload tool (Python 3 library)
 dput-ng is a Debian package upload tool which provides an easy to use
 interface to Debian (like) package archive hosting facilities. It allows
 anyone who works with Debian packages to upload their work to a remote
 service, including Debian's ftp-master, mentors.debian.net, Launchpad or other
 package hosting facilities for Debian package maintainers.
 .
 This package provides Python library functions providing core functionality to
 dput-ng and tools building on top of that. This library provides upload
 classes, profile parser, sanity checks and helper functions required to build
 a dput service.
 .
 The recommended package python3-paramiko is needed to upload via SSH.

Package: dput-ng-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: next generation Debian package upload tool (documentation)
 dput-ng is a Debian package upload tool which provides an easy to use
 interface to Debian (like) package archive hosting facilities. It allows
 anyone who works with Debian packages to upload their work to a remote
 service, including Debian's ftp-master, mentors.debian.net, Launchpad or other
 package hosting facilities for Debian package maintainers.
 .
 This package provides exhaustive user documentation, developer API docu-
 mentation and command interface documentation.
